require "circle.lua"

-- Actor
Actor = Circle:new()

function Actor:init(_x,_y,_r)
	Circle.init(self,_x,_y,_r)
	self:reset()
	self.friction = 0
	self.maxVelX = 1000
	self.maxVelY = 1000
end

function Actor:initBox(_x,_y,_w,_h)
	Circle.initAsBox(self,_x,_y,_w,_h)
	self:reset()
	self.friction = 0
	self.maxVelX = 1000
	self.maxVelY = 1000
end

function Actor:update(dt)
	
	local value = false
	
	self.x = self.x + self.velX*dt
	self.y = self.y + self.velY*dt
	self.velX = self.velX + self.accX*dt
	self.velY = self.velY + self.accY*dt
	
	if self.velX ~= 0 and self.friction ~= 0 then
		if self.accX <= 0 and self.velX > 0 then
			self.velX = self.velX - self.friction*dt
		elseif self.accX >= 0 and self.velX < 0 then
			self.velX = self.velX + self.friction*dt
		end
		
		if self.accX == 0 and self.velX <= self.friction*dt and self.velX >= -self.friction*dt then
			self.velX = 0
		end
	end
	
	if self.velY ~= 0 and self.friction ~= 0 then
		if self.accY <= 0 and self.velY > 0 then
			self.velY = self.velY - self.friction*dt
		elseif self.accY >= 0 and self.velY < 0 then
			self.velY = self.velY + self.friction*dt
		end
		
		if self.accY == 0 and self.velY <= self.friction*dt and self.velY >= -self.friction*dt then
			self.velY = 0
		end
	end
	
	if self.velX > self.maxVelX then self.velX = self.maxVelX end
	if self.velY > self.maxVelY then self.velY = self.maxVelY end
	if self.velX < -self.maxVelX then self.velX = -self.maxVelX end
	if self.velY < -self.maxVelY then self.velY = -self.maxVelY end
	if self.velY < -self.maxVelY then self.velY = -self.maxVelY end
	
	
end

function Actor:reset()
	self:resetVelocity()
	self:resetAcceleration()
end

function Actor:resetVelocity()
	self.velX = 0
	self.velY = 0
end

function Actor:resetAcceleration()
	self.accX = 0
	self.accY = 0
end


