-- Box
Box = { x = 0, y = 0, w = 0, h = 0 , color = {0,255,0}}

function Box:new(atributes)
	atributes = atributes or {}
	setmetatable(atributes,self)
	self.__index = self
	return atributes
end

function Box:init(_x,_y,_w,_h)
	self.x = _x
	self.y = _y
	self.w = _w
	self.h = _h	
end

function Box:setPosition(_x,_y)
	self.x = _x
	self.y = _y
end

function Box:setSize(_w,_h)
	self.w = _w
	self.h = _h
end

function Box:up()
	return  self.y
end

function Box:down()
	return  self.y + self.h
end

function Box:left()
	return  self.x
end

function Box:right()
	return  self.x + self.w
end

function Box:collide(box)
	if (box:left() > self:right() or self:left() > box:right()) then
		return false
	elseif (box:up() > self:down() or self:up() > box:down()) then
		return false
	else
		return true
	end
end

function Box:debugDraw()
	love.graphics.setColor(unpack(self.color))
	love.graphics.rectangle('line',self.x,self.y,self.w,self.h)
end

