-- Circle
Circle = Box:new()

function Circle:init(_x,_y,_r)
	Box.init(self,_x,_y,_r*2,_r*2)
	self.r = _r
end

function Circle:initAsBox(_x,_y,_w,_h)
	Box.init(self,_x,_y,_w,_h)
	self.r = _w/2
end

function Circle:setRadius(_r)
	self.r = _r
end

function Circle:getDistanceFromCircle(circle)
	return self:getDistanceFromPoint(circle.x, circle.y)
end

function Circle:getDistanceFromCorrectCircle(circle)
	return self:getCorrectDistanceFromPoint(circle.x, circle.y)
end

function Circle:getDistanceFromBox(box)
	return self:getDistanceFromPoint(box.x, box.y)
end

function Circle:getDistanceFromPoint(x,y)
	return math.sqrt(math.pow(self.x-x,2)+math.pow(self.y-y,2))
end

function Circle:getCorrectDistanceFromPoint(x,y)
	return math.sqrt(math.pow((self.x + self.w/2)-x,2)+math.pow((self.y + self.h/2)-y,2))
end

function Circle:collideWithCircle(circle)
	return self:getDistanceFromCircle(circle) < self.r + circle.r
end

function Circle:goesOutFromCircle(circle)
	return self:getDistanceFromCorrectCircle(circle) > circle.r + self.r
end

function Circle:debugDraw()
	Box.debugDraw(self)
	love.graphics.circle('line',self.x + self.w/2,self.y + self.h/2,self.r,20)
end

