-- CircleOrbs
CircleOrbs = { number = 0, radius = 0, speed = 0, sprite,color = {255,255,255}}

function CircleOrbs:new(atributes)
	atributes = atributes or {}
	setmetatable(atributes,self)
	self.__index = self
	return atributes
end

function CircleOrbs:init(_number,_radius,_speed,_sprite)
	self.number = _number
	self.radius = _radius
	self.speed = _speed
	self.sprite = _sprite
	self.posX = _radius
	self.posY = _radius
	self.time = 0
	self.orbs = {}
	self:update(0)
end

function CircleOrbs:setNumber(_number)
	self.number = _number
	self:update(0)
end

function CircleOrbs:update(dt)
	self.time = self.time + dt*self.speed
	
	local dif = math.pi*2/self.number
	local i
	for i = 1, self.number do
		self.orbs[i] = {}
		self.orbs[i].posX = math.sin(self.time + dif*i)*self.radius
		self.orbs[i].posY = math.cos(self.time + dif*i)*self.radius
	end
	
	
end

function CircleOrbs:draw(x,y,w,h)
	local i
	for i = 1, self.number do
		self.sprite:drawCenter(x + self.orbs[i].posX ,y + self.orbs[i].posY ,w,h)
	end
end

